/b2b/kyc/documents

Get user's previously uploaded KYC documents

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/b2b/kyc/documents
curl https://sandbox-api.mrcr.io/v1.6/b2b/kyc/documents \
  --header 'B2B-Bearer-Token: YOUR_SECRET_TOKEN'
{
  "status": 200,
  "data": {
    "features": [
      {
        "feature": "crypto",
        "status": "incomplete"
      },
      {
        "feature": "iban",
        "status": "incomplete"
      }
    ],
    "review_result": {
      "documents": [
        {
          "doc_id": "675996053",
          "doc_type": "PASSPORT",
          "doc_country_code": "GBR",
          "doc_state": "red",
          "reject_labels": [
            "FORGERY",
            "SPAM"
          ],
          "reject_type": "FINAL",
          "user_message": "Test user message in u3-3.",
          "partner_message": "Fraudulent patterns detected:\\nleaked image or sample ID from the internet\\n\\nVerification rejected due to excessive file uploads."
        },
        {
          "doc_id": "305359999",
          "doc_type": "PASSPORT",
          "doc_country_code": "GBR",
          "doc_state": "red",
          "reject_labels": [
            "EXPIRATION_DATE",
            "DOCUMENT_DAMAGED"
          ],
          "reject_type": "RETRY",
          "user_message": "- Your identity document has expired and can't be used for verification. Try a different identity document.\\n - Your document is either damaged or cannot be read. Try another document.",
          "partner_message": "- Expired Identity document. A new document has been requested.\\n - The document is either damaged or unreadable. A new document has been requested,"
        },
        {
          "doc_id": "1983361476",
          "doc_type": "SELFIE",
          "doc_country_code": "GBR",
          "doc_state": "not_started"
        },
        {
          "doc_id": "1428927584",
          "doc_type": "UTILITY_BILL",
          "doc_country_code": "GBR",
          "doc_state": "green"
        }
      ]
    }
  }
}